#! /usr/bin/env python3
# -*- coding: utf-8 -*-

import sys
from PyQt5 import QtWidgets, QtGui, QtCore

qtApp = QtWidgets.QApplication(sys.argv)
widget = QtWidgets.QWidget()

print ("In the empty Qt window: Press Ctrl+1 to see 'Foo Bar',  press Numpad 1 (with numpad LED active) to see 'Hello World'. or not, because there is a bug")

########Relevant Code########
numpadAction = QtWidgets.QAction("Numpad")
widget.addAction(numpadAction) #no actions without a widget
numpadAction.setShortcut(QtGui.QKeySequence(QtCore.Qt.KeypadModifier+QtCore.Qt.Key_1)) #Numpad 1. Needs numpad LED activated.
numpadAction.triggered.connect(lambda: print ("Hello World"))

ctrlAction = QtWidgets.QAction("Control")
widget.addAction(ctrlAction) #no actions without a widget
ctrlAction.setShortcut(QtGui.QKeySequence(QtCore.Qt.ControlModifier+QtCore.Qt.Key_1)) #Ctrl+1
ctrlAction.triggered.connect(lambda: print ("Foo Bar"))
########Relevant Code End########

widget.show()
sys.exit(qtApp.exec_())
